Bullet Collision Detection & Physics Library: btDbvtAabbMm Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
btDbvtAabbMm Struct Reference

`#include <btDbvt.h>`

Collaboration diagram for btDbvtAabbMm:
[legend]

## Public Member Functions
DBVT_INLINE btVector3 | Center () const
DBVT_INLINE btVector3 | Lengths () const
DBVT_INLINE btVector3 | Extents () const
DBVT_INLINE const btVector3 & | Mins () const
DBVT_INLINE const btVector3 & | Maxs () const
DBVT_INLINE void | Expand (const btVector3 &e)
DBVT_INLINE void | SignedExpand (const btVector3 &e)
DBVT_INLINE bool | Contain (const btDbvtAabbMm &a) const
DBVT_INLINE int | Classify (const btVector3 &n, btScalar o, int s) const
DBVT_INLINE btScalar | ProjectMinimum (const btVector3 &v, unsigned signs) const
DBVT_INLINE btVector3 & | tMins ()
DBVT_INLINE btVector3 & | tMaxs ()

## Static Public Member Functions
static btDbvtAabbMm | FromCE (const btVector3 &c, const btVector3 &e)
static btDbvtAabbMm | FromCR (const btVector3 &c, btScalar r)
static btDbvtAabbMm | FromMM (const btVector3 &mi, const btVector3 &mx)
static btDbvtAabbMm | FromPoints (const btVector3 *pts, int n)
static btDbvtAabbMm | FromPoints (const btVector3 **ppts, int n)

## Private Member Functions
DBVT_INLINE void | AddSpan (const btVector3 &d, btScalar &smi, btScalar &smx) const

## Private Attributes
btVector3 | mi
btVector3 | mx

## Friends
DBVT_INLINE friend bool | Intersect (const btDbvtAabbMm &a, const btDbvtAabbMm &b)
DBVT_INLINE friend bool | Intersect (const btDbvtAabbMm &a, const btVector3 &b)
DBVT_INLINE friend btScalar | Proximity (const btDbvtAabbMm &a, const btDbvtAabbMm &b)
DBVT_INLINE friend int | Select (const btDbvtAabbMm &o, const btDbvtAabbMm &a, const btDbvtAabbMm &b)
DBVT_INLINE friend void | Merge (const btDbvtAabbMm &a, const btDbvtAabbMm &b, btDbvtAabbMm &r)
DBVT_INLINE friend bool | NotEqual (const btDbvtAabbMm &a, const btDbvtAabbMm &b)

## Detailed Description

Definition at line 131 of file btDbvt.h.

## Member Function Documentation

## § AddSpan()

DBVT_INLINE void btDbvtAabbMm::AddSpan | ( | const btVector3 & | d,
|  | btScalar & | smi,
|  | btScalar & | smx
| ) |  | const
| private

Definition at line 522 of file btDbvt.h.

## § Center()

DBVT_INLINE btVector3 btDbvtAabbMm::Center | ( |  | ) | const
| inline

Definition at line 133 of file btDbvt.h.

## § Classify()

DBVT_INLINE int btDbvtAabbMm::Classify | ( | const btVector3 & | n,
|  | btScalar | o,
|  | int | s
| ) |  | const

Definition at line 484 of file btDbvt.h.

## § Contain()

DBVT_INLINE bool btDbvtAabbMm::Contain | ( | const btDbvtAabbMm & | a | ) | const

Definition at line 473 of file btDbvt.h.

## § Expand()

DBVT_INLINE void btDbvtAabbMm::Expand | ( | const btVector3 & | e | ) |

Definition at line 459 of file btDbvt.h.

## § Extents()

DBVT_INLINE btVector3 btDbvtAabbMm::Extents | ( |  | ) | const
| inline

Definition at line 135 of file btDbvt.h.

## § FromCE()

btDbvtAabbMm btDbvtAabbMm::FromCE | ( | const btVector3 & | c,
|  | const btVector3 & | e
| ) |  |
| inlinestatic

Definition at line 411 of file btDbvt.h.

## § FromCR()

btDbvtAabbMm btDbvtAabbMm::FromCR | ( | const btVector3 & | c,
|  | btScalar | r
| ) |  |
| inlinestatic

Definition at line 419 of file btDbvt.h.

## § FromMM()

btDbvtAabbMm btDbvtAabbMm::FromMM | ( | const btVector3 & | mi,
|  | const btVector3 & | mx
| ) |  |
| inlinestatic

Definition at line 425 of file btDbvt.h.

## § FromPoints() [1/2]

btDbvtAabbMm btDbvtAabbMm::FromPoints | ( | const btVector3 * | pts,
|  | int | n
| ) |  |
| inlinestatic

Definition at line 433 of file btDbvt.h.

## § FromPoints() [2/2]

btDbvtAabbMm btDbvtAabbMm::FromPoints | ( | const btVector3 ** | ppts,
|  | int | n
| ) |  |
| inlinestatic

Definition at line 446 of file btDbvt.h.

## § Lengths()

DBVT_INLINE btVector3 btDbvtAabbMm::Lengths | ( |  | ) | const
| inline

Definition at line 134 of file btDbvt.h.

## § Maxs()

DBVT_INLINE const btVector3& btDbvtAabbMm::Maxs | ( |  | ) | const
| inline

Definition at line 137 of file btDbvt.h.

## § Mins()

DBVT_INLINE const btVector3& btDbvtAabbMm::Mins | ( |  | ) | const
| inline

Definition at line 136 of file btDbvt.h.

## § ProjectMinimum()

DBVT_INLINE btScalar btDbvtAabbMm::ProjectMinimum | ( | const btVector3 & | v,
|  | unsigned | signs
| ) |  | const

Definition at line 512 of file btDbvt.h.

## § SignedExpand()

DBVT_INLINE void btDbvtAabbMm::SignedExpand | ( | const btVector3 & | e | ) |

Definition at line 465 of file btDbvt.h.

## § tMaxs()

DBVT_INLINE btVector3& btDbvtAabbMm::tMaxs | ( |  | ) |
| inline

Definition at line 166 of file btDbvt.h.

## § tMins()

DBVT_INLINE btVector3& btDbvtAabbMm::tMins | ( |  | ) |
| inline

Definition at line 165 of file btDbvt.h.

## Friends And Related Function Documentation

## § Intersect [1/2]

DBVT_INLINE friend bool Intersect | ( | const btDbvtAabbMm & | a,
|  | const btDbvtAabbMm & | b
| ) |  |
| friend

Definition at line 534 of file btDbvt.h.

## § Intersect [2/2]

DBVT_INLINE friend bool Intersect | ( | const btDbvtAabbMm & | a,
|  | const btVector3 & | b
| ) |  |
| friend

Definition at line 559 of file btDbvt.h.

## § Merge

DBVT_INLINE friend void Merge | ( | const btDbvtAabbMm & | a,
|  | const btDbvtAabbMm & | b,
|  | btDbvtAabbMm & | r
| ) |  |
| friend

Definition at line 667 of file btDbvt.h.

## § NotEqual

DBVT_INLINE friend bool NotEqual | ( | const btDbvtAabbMm & | a,
|  | const btDbvtAabbMm & | b
| ) |  |
| friend

Definition at line 690 of file btDbvt.h.

## § Proximity

DBVT_INLINE friend btScalar Proximity | ( | const btDbvtAabbMm & | a,
|  | const btDbvtAabbMm & | b
| ) |  |
| friend

Definition at line 578 of file btDbvt.h.

## § Select

DBVT_INLINE friend int Select | ( | const btDbvtAabbMm & | o,
|  | const btDbvtAabbMm & | a,
|  | const btDbvtAabbMm & | b
| ) |  |
| friend

Definition at line 588 of file btDbvt.h.

## Member Data Documentation

## § mi

btVector3 btDbvtAabbMm::mi
| private

Definition at line 171 of file btDbvt.h.

## § mx

btVector3 btDbvtAabbMm::mx
| private

Definition at line 171 of file btDbvt.h.

The documentation for this struct was generated from the following file:

- btDbvt.h